View Issue Details

IDProjectCategoryView StatusLast Update
0001348SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.1 
Target Version3.5.2Fixed in Version3.5.2 
Summary0001348: Table object passed to DatabaseWriterFilters do not have types on them any more
DescriptionTable object passed to DatabaseWriterFilters do not have types on them any more. This is because the source table is now passed into the filter which does not have type information. Previously the target table was passed in which might not align with the data values. We should copy the available target table column types to the source table so they are (conveniently) available to the filter.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 1c48655e

2013-07-26 09:23:37

chenson

Details Diff
0001348: Table object passed to DatabaseWriterFilters do not have types on them any more
0001348
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

SymmetricDS: master d3cd8d65

2013-07-26 10:14:16

chenson

Details Diff
0001348: Table object passed to DatabaseWriterFilters do not have types on them any more
0001348
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

Issue History

Date Modified Username Field Change
2013-07-26 09:23 chenson New Issue
2013-07-26 09:23 chenson Status new => assigned
2013-07-26 09:23 chenson Assigned To => chenson
2013-07-26 09:23 chenson Status assigned => resolved
2013-07-26 09:23 chenson Fixed in Version => 3.5.2
2013-07-26 09:23 chenson Resolution open => fixed
2013-07-31 16:14 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7579
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7580
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d3cd8d65
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1c48655e